Bug 1288908 - btrfs - system hangs, possibly data loss - kernel BUG at fs/btrfs/extent-tree.c:1833! [NEEDINFO]
btrfs - system hangs, possibly data loss - kernel BUG at fs/btrfs/extent-tree...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 20:38 EST by an0nym
Modified: 2016-10-26 12:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:42:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (an0nym)


Attachments (Terms of Use)
dmesg (4.66 KB, text/plain)
2015-12-06 20:38 EST, an0nym
no flags Details

  None (edit)
Description an0nym 2015-12-06 20:38:16 EST
Created attachment 1102958 [details]
dmesg

Description of problem:
When doing btrfs balance system hangs (cannot ssh into or ping or open new or use opened tcp connection to the system as if it was down however it continues to forward packets for opened tcp connection). Don't know yet if any data is lost. Dmesg attached. 

Version-Release number of selected component (if applicable):
btrfs-progs-4.2.2-1.fc23.x86_64
kernel-4.2.6-301.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. btrfs balance start /
2. wait till 50-70% (btrfs balance status -v /)

Actual results:
system hangs

Expected results:
filesystem balanced

Additional info:
Btrfs is spread over 2 LUKS volumes residing on Samsung SSD 850 PRO 512GB and APPLE SSD SM0512F respectively.
Comment 1 Laura Abbott 2016-09-23 15:22:06 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:42:13 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.